Bug 1410504 - Wrong http method for "edit" action for /api/arbitration_rules/:id
Summary: Wrong http method for "edit" action for /api/arbitration_rules/:id
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: cfme-future
Assignee: Gregg Tanzillo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:52 UTC by Martin Kourim
Modified: 2018-01-05 23:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 22:14:57 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Kourim 2017-01-05 15:52:37 UTC
Description of problem:

There is the "edit" action with the "delete" http method in addition to the "edit" action with the "post" http method.
The action name should be "delete" instead ("delete" action with "delete http method is missing, "delete" action with "post" method is present).


Version-Release number of selected component (if applicable):
5.7.0.17


How reproducible:
100%


Steps to Reproduce:

Create an arbitration profile:

POST /api/arbitration_rules
{
  "description" : "new admin rule",
  "operation" : "inject",
  "expression" : { "EQUAL" : { "field" : "User-userid", "value" : "admin" } }
}

and check the arbitration rule:

GET /api/arbitration_rules/:id

Comment 2 Tim Wade 2017-04-12 22:14:57 UTC
This endpoint is being deprecated, so we're unlikely to fix this


Note You need to log in before you can comment on or make changes to this bug.